#
# spec file for package dbus-1-qt3 (Version 0.62)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc41 libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libpng libpng-devel libstdc++41 libstdc++41-devel libtiff libtool libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sqlite strace sysvinit tar tcpd texinfo timezone unsermake unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           dbus-1-qt3
BuildRequires:  dbus-1 dbus-1-devel qt3-devel unsermake
Url:            http://dbus.freedesktop.org/
License:        Other uncritical OpenSource License
Group:          Development/Libraries/KDE
Version:        0.62
Release:        39
AutoReqProv:    on
Summary:        QT3/KDE bindings for D-Bus
Source0:        dbus-qt3-%{version}.tar.bz2
Patch0:         dbus-qt3-compile-fix-thoenig-01.patch
Patch1:         dbus-qt3-do-not-close-shared-connection-thoenig-01.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Provides:       dbus-1-qt:/usr/%_lib/libdbus-qt-1.so.1
%debug_package

%package -n dbus-1-qt3-devel
Summary:        Developer package for QT3/KDE bindings for D-Bus
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       dbus-1-devel >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1-devel`)
Requires:       dbus-1-qt3 = %{version}
AutoReqProv:    on
Group:          Development/Libraries/KDE

%description
QT3/KDE bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%description -n dbus-1-qt3-devel
Developer package for QT3/KDE bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n dbus-qt3-%{version} -q
%patch0 -p0
%patch1 -p0

%build
RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fstack-protector -fno-strict-aliasing -fPIC"
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"
./configure								\
    --prefix=%{_prefix}							\
    --exec_prefix=%{_exec_prefix}					\
    --sysconfdir=%{_sysconfdir}						\
    --datadir=%{_datadir}						\
    --localstatedir=%{_localstatedir}					\
    --libdir=%{_libdir}							\
    --mandir=%{_mandir}	
make

%install
make DESTDIR=%{buildroot} install

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root)
%{_libdir}/libdbus-qt-1.so.1*

%files -n dbus-1-qt3-devel
%defattr(-, root, root)
%dir %{_includedir}/dbus-1.0
%dir %{_includedir}/dbus-1.0/dbus
%{_includedir}/dbus-1.0/dbus/connection.h
%{_includedir}/dbus-1.0/dbus/dbus-qt.h
%{_includedir}/dbus-1.0/dbus/message.h
%{_includedir}/dbus-1.0/dbus/server.h
%{_libdir}/libdbus-qt-1.la
%{_libdir}/libdbus-qt-1.so

%changelog
* Mon Nov 06 2006 - thoenig@suse.de
- loosen dependency to D-Bus
* Fri Oct 20 2006 - thoenig@suse.de
- add dbus-qt3-do-not-close-shared-connection-thoenig-01.patch:
  Do not close shared connection
- F=dbus-qt3-compile-fix-thoenig-01; mv $.diff $F.patch
* Mon Aug 21 2006 - thoenig@suse.de
- remove hack for 64bit architectures
- use bz2 for tar ball
* Thu Aug 17 2006 - dmueller@suse.de
- really enable -fstack-protector
- fix build on x86_64
* Wed Aug 02 2006 - thoenig@suse.de
- split out binings to sparate spec files
